Package org.apache.ignite.cache.query

## Class SpiQuery<K,​V>

- java.lang.Object
- - org.apache.ignite.cache.query.Query<javax.cache.Cache.Entry<K,​V>>
  - - org.apache.ignite.cache.query.SpiQuery<K,​V>

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public final class SpiQuery<K,​V>
      extends Query<javax.cache.Cache.Entry<K,​V>>

  Deprecated.
  Use `ScanQuery`, `SqlFieldsQuery`, `IndexQuery` instead.
  Query to be used by `IndexingSpi` implementations.
  See Also:
    `IgniteCache.query(Query)`, `ScanQuery`, `SqlFieldsQuery`, `IndexQuery`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.cache.query.Query

      `DFLT_PAGE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpiQuery()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object[]` | `getArgs()` | Deprecated. Gets SQL arguments.
    `SpiQuery<K,​V>` | `setArgs​(Object... args)` | Deprecated. Sets SQL arguments.
    `SpiQuery<K,​V>` | `setLocal​(boolean loc)` | Deprecated. Sets whether this query should be executed on local node only.
    `SpiQuery<K,​V>` | `setPageSize​(int pageSize)` | Deprecated. Sets optional page size, if `0`, then default is used.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class org.apache.ignite.cache.query.Query

      `getPageSize, isLocal, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpiQuery

          public SpiQuery()

      Deprecated.

  - ### Method Detail

    - #### getArgs

          public Object[] getArgs()

      Deprecated.
      Gets SQL arguments.
      Returns:
        SQL arguments.

    - #### setArgs

          public SpiQuery<K,​V> setArgs​(Object... args)

      Deprecated.
      Sets SQL arguments.
      Parameters:
        `args` - SQL arguments.
      Returns:
        `this` For chaining.

    - #### setPageSize

          public SpiQuery<K,​V> setPageSize​(int pageSize)

      Deprecated.
      Sets optional page size, if `0`, then default is used.
      Overrides:
        `setPageSize` in class `Query<javax.cache.Cache.Entry<K,​V>>`
      Parameters:
        `pageSize` - Optional page size.
      Returns:
        `this` for chaining.

    - #### setLocal

          public SpiQuery<K,​V> setLocal​(boolean loc)

      Deprecated.
      Sets whether this query should be executed on local node only.
      Overrides:
        `setLocal` in class `Query<javax.cache.Cache.Entry<K,​V>>`
      Parameters:
        `loc` - Local flag.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Query<javax.cache.Cache.Entry<K,​V>>`